Mailinglist Archive: opensuse-security-announce (11 mails)

< Previous Next >
[security-announce] openSUSE-SU-2014:1281-1: important: xen: security and bugfix update
openSUSE Security Update: xen: security and bugfix update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1281-1
Rating: important
References: #798770 #820873 #842006 #864801 #865682 #875668
#878841 #880751 #882127 #895798 #895799 #895802
#896023 #897657
Cross-References: CVE-2013-4344 CVE-2013-4540 CVE-2014-3124
CVE-2014-3967 CVE-2014-3968 CVE-2014-4021
CVE-2014-7154 CVE-2014-7155 CVE-2014-7156
CVE-2014-7188
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that solves 10 vulnerabilities and has four fixes
is now available.

Description:


XEN was updated to fix security issues and bugs.

Security issues fixed:
- bnc#897657 - CVE-2014-7188: XSA-108 Improper MSR range used for x2APIC
emulation
- bnc#895802 - CVE-2014-7156: XSA-106: Missing privilege level checks in
x86 emulation of software interrupts
- bnc#895799 - CVE-2014-7155: XSA-105: Missing privilege level checks in
x86 HLT, LGDT, LIDT, and LMSW emulation
- bnc#895798 - CVE-2014-7154: XSA-104: Race condition in
HVMOP_track_dirty_vram
- bnc#864801 - CVE-2013-4540: qemu: zaurus: buffer overrun on invalid
state load
- bnc#875668 - CVE-2014-3124: XSA-92: HVMOP_set_mem_type allows invalid
P2M entries to be created
- bnc#878841 - CVE-2014-3967, CVE-2014-3968: XSA-96: Xen: Vulnerabilities
in HVM MSI injection
- bnc#880751 - CVE-2014-4021: XSA-100: Hypervisor heap contents leaked to
guests
- bnc#842006 - CVE-2013-4344: XSA-65: xen: qemu SCSI REPORT LUNS buffer
overflow

Other bugs fixed:
- bnc#896023 - Adjust xentop column layout
- bnc#820873 - The "long" option doesn't work with "xl list"
- bnc#882127 - Xen kernel panics on booting SLES12 Beta 8
- bnc#865682 - Local attach support for PHY backends using scripts
- bnc#798770 - Improve multipath support for npiv devices


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-580

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

xen-debugsource-4.3.2_02-27.1
xen-devel-4.3.2_02-27.1
xen-kmp-default-4.3.2_02_k3.11.10_21-27.1
xen-kmp-default-debuginfo-4.3.2_02_k3.11.10_21-27.1
xen-kmp-desktop-4.3.2_02_k3.11.10_21-27.1
xen-kmp-desktop-debuginfo-4.3.2_02_k3.11.10_21-27.1
xen-libs-4.3.2_02-27.1
xen-libs-debuginfo-4.3.2_02-27.1
xen-tools-domU-4.3.2_02-27.1
xen-tools-domU-debuginfo-4.3.2_02-27.1

- openSUSE 13.1 (x86_64):

xen-4.3.2_02-27.1
xen-doc-html-4.3.2_02-27.1
xen-libs-32bit-4.3.2_02-27.1
xen-libs-debuginfo-32bit-4.3.2_02-27.1
xen-tools-4.3.2_02-27.1
xen-tools-debuginfo-4.3.2_02-27.1
xen-xend-tools-4.3.2_02-27.1
xen-xend-tools-debuginfo-4.3.2_02-27.1

- openSUSE 13.1 (i586):

xen-kmp-pae-4.3.2_02_k3.11.10_21-27.1
xen-kmp-pae-debuginfo-4.3.2_02_k3.11.10_21-27.1


References:

http://support.novell.com/security/cve/CVE-2013-4344.html
http://support.novell.com/security/cve/CVE-2013-4540.html
http://support.novell.com/security/cve/CVE-2014-3124.html
http://support.novell.com/security/cve/CVE-2014-3967.html
http://support.novell.com/security/cve/CVE-2014-3968.html
http://support.novell.com/security/cve/CVE-2014-4021.html
http://support.novell.com/security/cve/CVE-2014-7154.html
http://support.novell.com/security/cve/CVE-2014-7155.html
http://support.novell.com/security/cve/CVE-2014-7156.html
http://support.novell.com/security/cve/CVE-2014-7188.html
https://bugzilla.suse.com/show_bug.cgi?id=798770
https://bugzilla.suse.com/show_bug.cgi?id=820873
https://bugzilla.suse.com/show_bug.cgi?id=842006
https://bugzilla.suse.com/show_bug.cgi?id=864801
https://bugzilla.suse.com/show_bug.cgi?id=865682
https://bugzilla.suse.com/show_bug.cgi?id=875668
https://bugzilla.suse.com/show_bug.cgi?id=878841
https://bugzilla.suse.com/show_bug.cgi?id=880751
https://bugzilla.suse.com/show_bug.cgi?id=882127
https://bugzilla.suse.com/show_bug.cgi?id=895798
https://bugzilla.suse.com/show_bug.cgi?id=895799
https://bugzilla.suse.com/show_bug.cgi?id=895802
https://bugzilla.suse.com/show_bug.cgi?id=896023
https://bugzilla.suse.com/show_bug.cgi?id=897657

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages